classification
Title: move PC/icons/source.xar to http://www.python.org/community/logos/
Type: Stage:
Components: Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: doko, loewis, ned.deily, python-dev, steve.dower
Priority: normal Keywords:

Created on 2013-03-20 22:53 by doko, last changed 2016-06-14 03:03 by python-dev. This issue is now closed.

Messages (9)
msg184811 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-20 22:53
This is a proposal to move the PC/icons/source.xar from the core distribution to the python website. Afaics currently the derived file PC/icons/baselogo is only used, and http://www.python.org/community/logos/ has even other recommended svg files for the logo.

The logo files were added in issue1490384, and source.xar explained (http://bugs.python.org/issue1490384#msg50276) as:

   > source.xar; not sure either

   This is the primary vector graphics source of the icons -
   the other SVG and PNG files are just there because other
   people requested them.

   It's in Xara format, a previously proprietary graphics
   application which has now gone open-source and is heading
   rapidly towards being usable on Linux, but isn't quite there
   yet.

However Xara was never open-source and shipped with pre-built binaries afaicr, and today you can't download even that anymore. Besides not being used for the (windows) build, Debian cannot even distribute this file, because it cannot be modified in it's current form with free software, and therefore has to be removed for the upstream tarball for each Debian upload.  So it would help Debian to ship the unmodified upstream tarball.

The source.xar could be kept available on the python website together with the other logo files.
msg184870 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-03-21 13:49
IIUC, Xara for Linux is still available at http://www.xaraxtreme.org/download.html
msg184879 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-21 16:02
ohh, I didn't see. however these are binaries only, and they still promise to open the sources, however the latest information on this page is for Ubuntu dapper drake (6.06), now almost seven years old.
msg184907 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-21 20:54
besides the availability of the graphics program, would there be any objection to move the source.xar file to the python.org web site?
msg267031 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2016-06-03 03:44
even for the window builds, I don't see any use of these icons for any build. I filed https://github.com/python/pythondotorg/issues/945 to make these files available as downloadable resources. However even if these are not accepted there, I think we should remove the PC/icons directory for all active branches.
msg267449 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-06-05 18:24
LGTM
msg268125 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-10 16:25
New changeset c6c55d1eadc4 by doko in branch '2.7':
- Issue #17500, and https://github.com/python/pythondotorg/issues/945: Remove
https://hg.python.org/cpython/rev/c6c55d1eadc4

New changeset 0c4d525a2f10 by doko in branch '3.5':
- Issue #17500, and https://github.com/python/pythondotorg/issues/945: Remove
https://hg.python.org/cpython/rev/0c4d525a2f10

New changeset a3060775b8ad by doko in branch 'default':
- Issue #17500, and https://github.com/python/pythondotorg/issues/945: Remove
https://hg.python.org/cpython/rev/a3060775b8ad
msg268126 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2016-06-10 16:26
removed the PC/icons directory.
msg268507 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-14 03:03
New changeset d9090aa75607 by Martin Panter in branch 'default':
Issue #17500: Remove merge conflict scar tissue
https://hg.python.org/cpython/rev/d9090aa75607
History
Date User Action Args
2016-06-14 03:03:44python-devsetmessages: + msg268507
2016-06-10 16:26:47dokosetstatus: open -> closed
resolution: fixed
messages: + msg268126
2016-06-10 16:25:55python-devsetnosy: + python-dev
messages: + msg268125
2016-06-05 18:24:53ned.deilysetmessages: + msg267449
versions: + Python 3.5, Python 3.6, - Python 3.2, Python 3.3, Python 3.4
2016-06-03 03:45:12dokosetnosy: + ned.deily, steve.dower
2016-06-03 03:44:31dokosetmessages: + msg267031
2013-03-21 20:54:54dokosetmessages: + msg184907
2013-03-21 16:02:07dokosetmessages: + msg184879
2013-03-21 13:49:54loewissetmessages: + msg184870
2013-03-20 22:53:22dokocreate